microsoft-foundry.rest.security.o-auth2-auth
Indexes
Create or update a version
PATCH
/indexes/{name}/versions/{version}
Create a new or update an existing Index with the given version id
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Pfadparameter
name
string
Erforderlich
The name of the resource
version
string
Erforderlich
The specific version id of the Index to create or update.
Anforderungstext
The Index to create or update.
Content-Type: application/merge-patch+json
Eins der folgenden:
AzureSearch
AzureAISearchIndexUpdate
Azure AI Search Index Definition
type
enum
Erforderlich
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndexUpdate
Managed Azure AI Search Index Definition
type
enum
Erforderlich
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndexUpdate
CosmosDB Vector Store Index Definition
type
enum
Erforderlich
Type of index
CosmosDBNoSqlVectorStore
Antworten
The request has succeeded.
Text
Content-Type: application/json
Eins der folgenden:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
Erforderlich
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
Erforderlich
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
Erforderlich
Type of index
CosmosDBNoSqlVectorStore
Anfordern
PATCH /indexes/{name}/versions/{version} HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json